org.richfaces.component.attribute

## Interface AutocompleteProps

- All Known Implementing Classes:
    AbstractAutocomplete, AbstractSelect, UIAutocomplete, UISelect

      public interface AutocompleteProps

  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAutocompleteList()` A collection of suggestions that will be provided to the user
    `javax.el.MethodExpression` | `getAutocompleteMethod()` A method which provides a list of suggestions according to a user-provided filtering value
    `javax.el.MethodExpression` | `getAutocompleteMethodWithOneParameter()` Workaround for RF-11469
    `int` | `getMinChars()` Minimal number of chars in input to activate suggestion popup
    `AutocompleteMode` | `getMode()` Determine how the suggestion list is requested:
    `String` | `getVar()` A request-scope attribute via which the data object for the current row will be used when iterating
    `void` | `setAutocompleteMethod(javax.el.MethodExpression expression)`
    `void` | `setAutocompleteMethodWithOneParameter(javax.el.MethodExpression expression)`

- - ### Method Detail

    - #### getMode

          AutocompleteMode getMode()

      Determine how the suggestion list is requested:

      client
        pre-loads data to the client and uses the input to filter the possible suggestions
      ajax
        fetches suggestions with every input change using Ajax requests
      lazyClient
        lazy-loads data to the client and uses the input to filter the possible suggestions. The filtering does not start until the input length matches a minimum value. Set the minimum value with the minChars attribute.
      cachedAjax
        lazy-loads data via Ajax requests when the input length matches a minimum value. Set the minimum value with the minChars attribute. All suggestions are handled on the client until the input prefix is changed, at which point a new request is made based on the new input prefix

      Default: cachedAjax

    - #### getMinChars

          int getMinChars()

      Minimal number of chars in input to activate suggestion popup

    - #### getVar

          String getVar()

      A request-scope attribute via which the data object for the current row will be used when iterating

    - #### getAutocompleteList

          Object getAutocompleteList()

      A collection of suggestions that will be provided to the user

    - #### getAutocompleteMethod

          javax.el.MethodExpression getAutocompleteMethod()

      A method which provides a list of suggestions according to a user-provided filtering value

    - #### setAutocompleteMethod

          void setAutocompleteMethod(javax.el.MethodExpression expression)

    - #### getAutocompleteMethodWithOneParameter

          javax.el.MethodExpression getAutocompleteMethodWithOneParameter()

      Workaround for RF-11469

    - #### setAutocompleteMethodWithOneParameter

          void setAutocompleteMethodWithOneParameter(javax.el.MethodExpression expression)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.